PrefabFiles = {
	"mts",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/mts.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mts.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mts.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mts.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mts_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mts_silho.xml" ),

    Asset( "IMAGE", "bigportraits/mts.tex" ),
    Asset( "ATLAS", "bigportraits/mts.xml" ),
	
	Asset( "IMAGE", "images/map_icons/mts.tex" ),
	Asset( "ATLAS", "images/map_icons/mts.xml" ),

	Asset("SOUNDPACKAGE", "sound/mts.fev"),
    Asset("SOUND", "sound/mts.fsb"),
}

RemapSoundEvent( "dontstarve/characters/mts/death_voice", "mts/characters/mts/death_voice" )
RemapSoundEvent( "dontstarve/characters/mts/hurt", "mts/characters/mts/hurt" )
RemapSoundEvent( "dontstarve/characters/mts/talk_LP", "mts/characters/mts/talk_LP" )

local function ModMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "mts" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "",
		appearanim = "appear",
		idleanim= "idle",
		dialogpreanim = "dialog_pre",
		dialoganim="dial_loop",
		dialogpostanim = "dialog_pst",
		disappearanim = "disappear",
            disableplayer = true,
            skippable = true,
            {
                string = "Metal Sonice, Robotnik sent you here to get Sonice once and for all! Don't fail him..",
                wait = 5,
                anim = nil,
            },

	}
    end
	
		
end
AddPrefabPostInit("maxwellintro", ModMaxwellIntro)

-- strings! Any "mts" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.mts = "Metal Sonice"
GLOBAL.STRINGS.CHARACTER_NAMES.mts = "Metal Sonice"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.mts = "Robotnik sent Metal Sonice here to finish Sonice once and for all!"
GLOBAL.STRINGS.CHARACTER_QUOTES.mts = "\"See me as I am, no longer afraid of anything.\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
GLOBAL.STRINGS.NAMES.CRNSPK= "Crown"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CRNSPK= "Custom"

local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.MTS= require "speech_mts"

-- Let the game know mts is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.ROBOT, "mts")

AddMinimapAtlas("images/map_icons/mts.xml")
AddModCharacter("mts")

